Index: code/branches/Dialog_HS16/data/levels/missionOne.oxw
===================================================================
--- code/branches/Dialog_HS16/data/levels/missionOne.oxw	(revision 11261)
+++ code/branches/Dialog_HS16/data/levels/missionOne.oxw	(revision 11270)
@@ -32,5 +32,5 @@
     name="narrative"
     targets="simpleNotification,dialogue"
-    size=3
+    size=3,1
     displayTime=3.9
     position="0.2, 0, 0.1, 0"
@@ -371,5 +371,5 @@
 
     <DistanceTrigger name="spawndelaytrigger0" position="800,700,600" target="Pawn" distance=10 stayActive="true" delay=2/>
-    <Dialogue message="Press (F3) to see your mission briefing.">
+    <Dialogue speaker="ABC: " message=" Press (F3) to see your mission briefing.">
         <events>
             <trigger>
Index: code/branches/Dialog_HS16/src/modules/notifications/NotificationDispatcher.h
===================================================================
--- code/branches/Dialog_HS16/src/modules/notifications/NotificationDispatcher.h	(revision 11261)
+++ code/branches/Dialog_HS16/src/modules/notifications/NotificationDispatcher.h	(revision 11270)
@@ -126,6 +126,5 @@
             virtual const std::string& createNotificationMessage(void)
                 { return BLANKSTRING; }
-            virtual const std::string& createNotificationSpeaker(void)
-                { return BLANKSTRING; }
+            
 
     };
Index: code/branches/Dialog_HS16/src/modules/notifications/NotificationManager.h
===================================================================
--- code/branches/Dialog_HS16/src/modules/notifications/NotificationManager.h	(revision 11261)
+++ code/branches/Dialog_HS16/src/modules/notifications/NotificationManager.h	(revision 11270)
@@ -77,5 +77,4 @@
             inline const std::string & getMessage(void) const
                 { return this->message_; }
-
             /**
             @brief Get the sender of the Notification.
@@ -94,5 +93,5 @@
         private:
             std::string message_; //!< The Notification message.
-            std::string sender_; //!< The sender of the notifications.
+            std::string sender_;//!< The sender of the notifications.
             NotificationMessageType type_; //!< The type of the notification.
 
Index: code/branches/Dialog_HS16/src/modules/notifications/dispatchers/Dialogue.cc
===================================================================
--- code/branches/Dialog_HS16/src/modules/notifications/dispatchers/Dialogue.cc	(revision 11261)
+++ code/branches/Dialog_HS16/src/modules/notifications/dispatchers/Dialogue.cc	(revision 11270)
@@ -16,6 +16,4 @@
 
         this->setSyncMode(ObjectDirection::None);
-
-
 	}
 
@@ -28,7 +26,12 @@
         SUPER(Dialogue, XMLPort, xmlelement, mode);
 
+        XMLPortParam(Dialogue, "speaker", setSpeaker, getSpeaker, xmlelement, mode);
         XMLPortParam(Dialogue, "message", setMessage, getMessage, xmlelement, mode);
-        //XMLPortParam(Dialogue, "speaker", setSpeaker, getSpeaker, xmlelement, mode);
         
     }
+    const std::string& Dialogue::createNotificationMessage(void)
+                { 	
+                	dialogue_ = speaker_ + message_;
+                	return this->dialogue_ ;
+                }
 }
Index: code/branches/Dialog_HS16/src/modules/notifications/dispatchers/Dialogue.h
===================================================================
--- code/branches/Dialog_HS16/src/modules/notifications/dispatchers/Dialogue.h	(revision 11261)
+++ code/branches/Dialog_HS16/src/modules/notifications/dispatchers/Dialogue.h	(revision 11270)
@@ -21,20 +21,21 @@
             const std::string& getMessage(void)
                 { return this->message_; }
-         //   const std::string& getSpeaker(void)
-            //	{return this->speaker_;}
+         	const std::string& getSpeaker(void)
+            		{return this->speaker_;}
 
     protected:
-    	virtual const std::string& createNotificationMessage(void)
-                { return this->message_; }
-       // virtual const std::string& createNotificationSpeaker(void)
-        //		{ return this->speaker_; }
+    	virtual const std::string& createNotificationMessage(void);
+                
+       	
     private:
     		std::string message_;
-    	//	std::string speaker_;
+    		std::string speaker_;
+    		std::string dialogue_;
 
+    		void setSpeaker(const std::string& speaker)
+            	{ this->speaker_ = speaker;}
     		void setMessage(const std::string& message)
                 { this->message_ = message; }
-           // void setSpeaker(const std::string& speaker)
-            //	{ this->speaker_ = speaker;}
+            
         } ;       
 