Index: code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw
===================================================================
--- code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw	(revision 11260)
+++ code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw	(revision 11272)
@@ -220,5 +220,5 @@
 
    <!-- ------------------CheckPoints----------------- -->
-   <OldRaceCheckPoint name="checkpoint1" direction="0,2,0" position="800,20,0" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="0" islast="false">
+      <OldRaceCheckPoint name="checkpoint1" direction="0,2,0" position="800,20,0" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="0" islast="false">
         <attached>
             <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
@@ -303,5 +303,65 @@
         </collisionShapes>
     </OldRaceCheckPoint> 
+
+
+
+   <!-- <SpaceRaceManager>
+ <checkpoints>
+    <RaceCheckPoint name="checkpoint1" position="0,8050,-1000" direction="0,1,0" collisionType="static" scale="4" distance="150" checkpointindex="0" islast="false" nextcheckpoints="1,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+
+
+        <Model position="0,0,55" mesh="testcube.mesh" scale3D="110,20,20" />
+        <Model position="0,0,-55" mesh="testcube.mesh" scale3D="110,20,20" />
+        <Model position="55,0,0" mesh="testcube.mesh" scale3D="20,20,110" />
+        <Model position="-55,0,0" mesh="testcube.mesh" scale3D="20,20,110" />
+
+
+
+
+        </attached>
+
+
+
+    <collisionShapes>
+
+
+            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
+            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
+
+
+        </collisionShapes>
+
+
+
+
+    </RaceCheckPoint>
+
+<RaceCheckPoint name="checkpoint2" position="1000,8050,-4000" direction="0,1,0" roll="45" collisionType="static" scale="4" distance="150" checkpointindex="1" islast="false" nextcheckpoints="2,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+
+
+           <collisionShapes>
+
+            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
+            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
+
+        </collisionShapes>
+    </RaceCheckPoint>
+
+
+</checkpoints>
+</SpaceRaceManager> -->
+
+
 
   </Scene>
 </Level>
+ 
Index: code/branches/SpaceRace_HS16/src/modules/gametypes/OldSpaceRace.cc
===================================================================
--- code/branches/SpaceRace_HS16/src/modules/gametypes/OldSpaceRace.cc	(revision 11260)
+++ code/branches/SpaceRace_HS16/src/modules/gametypes/OldSpaceRace.cc	(revision 11272)
@@ -36,5 +36,4 @@
 #include "items/Engine.h"
 #include "controllers/HumanController.h"
-#include "SpaceRaceBot.h"
 
 #include "core/CoreIncludes.h"
@@ -43,4 +42,6 @@
 #include "worldentities/pawns/Pawn.h"
 #include "core/config/ConfigValueIncludes.h"
+#include "infos/Bot.h"
+#include "SpaceRaceBot.h"
 
 
@@ -56,4 +57,5 @@
         
         //this->botclass_ = Class();
+        this->botclass_ = Class(SpaceRaceBot);//ClassByString("")
 
         this->checkpointsReached_ = 0;
@@ -168,4 +170,26 @@
     }
 
+        /*void playerEntered(PlayerInfo* player) {
+
+
+                  Gametype::playerEntered(player);
+
+        const std::string& message = player->getName() + " entered the game";
+        ChatManager::message(message);
+            
+        }*/
+
+
+
+
+ void OldSpaceRace::addBots(unsigned int amount)
+    {
+        for (unsigned int i = 0; i < amount; ++i)
+            this->botclass_.fabricate(this->getContext());
+    }
+
+
+
+
 
 }
Index: code/branches/SpaceRace_HS16/src/modules/gametypes/OldSpaceRace.h
===================================================================
--- code/branches/SpaceRace_HS16/src/modules/gametypes/OldSpaceRace.h	(revision 11260)
+++ code/branches/SpaceRace_HS16/src/modules/gametypes/OldSpaceRace.h	(revision 11272)
@@ -38,4 +38,5 @@
 
 #include "gametypes/Gametype.h"
+#include "SpaceRaceManager.h"
 
 #include "OldRaceCheckPoint.h"
@@ -63,5 +64,5 @@
             virtual void playerEntered(PlayerInfo* player) override;
             virtual void newCheckpointReached();
-            virtual void addBots(unsigned int amount) override{} //<! overwrite function in order to bypass the addbots command.
+            virtual void addBots(unsigned int amount) override; //<! overwrite function in order to bypass the addbots command.
                                           //<! This is only a temporary solution. Better: create racingBots.
 
Index: code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceBot.cc
===================================================================
--- code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceBot.cc	(revision 11260)
+++ code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceBot.cc	(revision 11272)
@@ -23,7 +23,15 @@
  *      Author: purgham
  */
+#include <vector>
 
 #include "SpaceRaceBot.h"
+#include "core/GameMode.h"
 #include "core/CoreIncludes.h"
+#include "core/config/ConfigValueIncludes.h"
+#include "gametypes/Gametype.h"
+#include "controllers/AIController.h"
+#include "gametypes/SpaceRaceController.h"
+
+
 
 namespace orxonox
@@ -33,7 +41,6 @@
     SpaceRaceBot::SpaceRaceBot(Context* context) : Bot(context){
         RegisterObject(SpaceRaceBot);
-        this->defaultController_ = Class(SpaceRaceController);// ClassByString("")
-        this->createController();
-    }
+        this->defaultController_ = Class(AIController);// ClassByString("")
+        
 
 
@@ -41,4 +48,27 @@
 
 
+        this->createController();
+
+    }
+
+SpaceRaceBot::~SpaceRaceBot(){
+
+}
+
+void SpaceRaceBot::setConfigValues()
+    {
+        static const std::string names[] =
+        {
+            "Dr. Julius No",
+            "Berkay Berabi",
+            "Louis Meile"
+           
+            "Dominic Greene"
+        };
+        static std::vector<std::string> defaultnames(names, names + sizeof(names) / sizeof(std::string));
+
+        SetConfigValue(names_, defaultnames);
+    }
+
 
 
Index: code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceBot.h
===================================================================
--- code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceBot.h	(revision 11260)
+++ code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceBot.h	(revision 11272)
@@ -30,4 +30,5 @@
 #include "gametypes/GametypesPrereqs.h"
 #include "gametypes/SpaceRaceController.h"
+#include <vector>
 
 
@@ -35,12 +36,26 @@
 {
 
-    /**
-/sdaasdasdasdasdas	
-    */
     class _GametypesExport SpaceRaceBot: public Bot
     {
         public:
-        SpaceRaceBot(Context* context);
-            virtual ~SpaceRaceBot() {}
+        	SpaceRaceBot(Context* context);
+            virtual ~SpaceRaceBot();
+    
+            void setConfigValues();
+
+
+
+ virtual inline bool isInitialized() const override
+                { return true; }
+            virtual inline float getPing() const override
+                { return 0; }
+            virtual inline float getPacketLossRatio() const override
+                { return 0; }
+
+
+  private:
+            std::vector<std::string> names_;
+
+
     };
 }
Index: code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceManager.cc
===================================================================
--- code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceManager.cc	(revision 11260)
+++ code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceManager.cc	(revision 11272)
@@ -47,5 +47,5 @@
         RegisterObject(SpaceRaceManager);
         this->race_ = orxonox_cast<SpaceRace*>(this->getGametype());
-        assert(race_);
+        //assert(race_);
         //amountOfPlayers=(race_->getPlayers()).size();
         this->firstcheckpointvisible_ = false;
Index: code/branches/SpaceRace_HS16/src/orxonox/gametypes/Gametype.cc
===================================================================
--- code/branches/SpaceRace_HS16/src/orxonox/gametypes/Gametype.cc	(revision 11260)
+++ code/branches/SpaceRace_HS16/src/orxonox/gametypes/Gametype.cc	(revision 11272)
@@ -96,5 +96,5 @@
         }
     }
-
+    
     /**
      * @brief Initializes sub-objects of the Gametype. This must be called after the constructor.