Index: /code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw
===================================================================
--- /code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw	(revision 11275)
+++ /code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw	(revision 11276)
@@ -10,12 +10,7 @@
   include("HUDTemplates3.oxo")
   include("templates/lodInformation.oxt")
-    include("templates/spaceshipAssff.oxt")
-
-?>
-
-<?lua
-  include("templates/spaceshipAssff2.oxt")
   include("templates/fastship.oxt")
-  include("templates/spaceshipPirate.oxt")
+  include("templates/pickupRepresentationTemplates.oxt")
+
 ?>
 
@@ -34,4 +29,7 @@
   >
   
+    <?lua
+      include("includes/pickups.oxi")
+    ?>
 
 
@@ -55,14 +53,8 @@
       </events>
     </WorldSound>
-
-
     <DistanceTrigger name="start1" position="0,0,0"  target="Pawn" distance=100 stayActive="true" delay=0.5 />
     <DistanceTrigger name="go" position="0,0,0"  target="Pawn" distance=100 stayActive="true" delay=10.5  />
 
     <DistanceTrigger name="racetheme" position="0,0,0"  target="Pawn" distance=100 stayActive="true" delay=10.75  />
-
-
-
-     
       <WorldAmbientSound source="racetheme.ogg" looping="true" playOnLoad="false" >
     <events>
@@ -74,34 +66,9 @@
 
 
-
-  <!-- Das erste Bot -->
-    <SpaceShip position="20,0,0" lookat="25,0,0">
-      <templates>
-        <Template link=fastship />
-      </templates>
-      <controller>
-        <WaypointPatrolController alertnessradius=1 team=10>
-          <waypoints>
-            <Model mesh="cube.mesh" scale=0 position="1000,0,0" />
-            <Model mesh="cube.mesh" scale=0 position="1500,1000,250" />
-            <Model mesh="cube.mesh" scale=0 position="0,400,300" />
-          </waypoints>
-        </WaypointPatrolController>
-      </controller>
-    </SpaceShip>
-
-
-
-
-
-
   <!--   <WorldAmbientSound source="Ganymede.ogg" looping="true" playOnLoad="true" /> -->
-  
-
     <?lua math.randomseed(98) ?>
-
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-
     <SimpleNotification message="Reach the last check point within 150 seconds!!" />
+
 
     <!-- ------------------SpawnPoint----------------- -->
@@ -109,17 +76,5 @@
     </SpawnPoint>
 
-        <Model mesh="axes.mesh" scale="10" position="600,0,0"/>
-        <Model mesh="axes.mesh" scale="10" position="800,0,0"/>
-        <Model mesh="axes.mesh" scale="10" position="1000,0,0"/>
-        <Model mesh="axes.mesh" scale="10" position="1100,0,0"/>
-        <Model mesh="axes.mesh" scale="10" position="1200,0,0"/>
-        <Model mesh="axes.mesh" scale="10" position="1300,0,0"/>
-        <Model mesh="axes.mesh" scale="10" position="1400,0,0"/>
-        <Model mesh="axes.mesh" scale="10" position="1500,0,0"/>
-        <Model mesh="axes.mesh" scale="10" position="1600,0,0"/>
-        <Model mesh="axes.mesh" scale="10" position="1700,0,0"/>
-
-
-    <!-- Launch station -->
+  <!-- Launch station -->
   <StaticEntity mass="50" position="-400,-20,0" direction="0,-90,0" collisionType="static">
     <attached>
@@ -137,12 +92,23 @@
   </StaticEntity>
 
-   <!-- ---------------asteroid ellipse1----------------- -->
+  <!-- ---------------ForceFields----------------- -->
+    <ForceField position="0,0,0" direction="0,-1,0" diameter=700 velocity=2000 length=2000/>
+
+    <!-- ------------------Planet----------------- -->
+    <Planet position="25000,5000,5000" scale=1000 pitch=-90 mesh="iceplanet.mesh" atmosphere="atmosphere1" rotationaxis="8,1,0" rotationrate="1" atmospheresize=224.0f imagesize=1024.0f />
+    <StaticEntity position="0,0,0" collisionType=static>
+        <collisionShapes>
+            <SphereCollisionShape radius="1" />
+        </collisionShapes>
+    </StaticEntity>
+
+   <!-- ---------------asteroid belt1----------------- -->
     <?lua
     max = 50
     for i = 0, max, 1
     do
-    x = i*1000
-    y = math.cos(i)*20
-    z = math.sin(i)*20
+    x = 800+ i*1000
+    y = -500+ math.cos(i)*20
+    z = -500+ math.sin(i)*20
     ?>
     <?lua
@@ -153,9 +119,9 @@
 
     <MovableEntity
-      position = "<?lua print(x + math.random() * 500) ?>,<?lua print(y + math.random() * 500) ?>,<?lua print(z + math.random() * 1000) ?>"
+      position = "<?lua print(x + math.random() * 500) ?>,<?lua print(y + math.random() * 1000) ?>,<?lua print(z + math.random() * 1000) ?>"
       collisionType = "dynamic"
       linearDamping = "0.5"
       angularDamping = "0.01"
-      collisiondamage = "0.01"
+      collisiondamage = "0.02"
       enablecollisiondamage = "true"
       scale="<?lua print(j * 5) ?>" >
@@ -176,12 +142,12 @@
     <?lua end ?>
 
-   <!-- ---------------asteroid ellipse1----------------- -->
+   <!-- ---------------asteroid belt2----------------- -->
     <?lua
     max = 50
     for i = 0, max, 1
     do
-    x = i*1000
-    y = math.cos(i)*-20
-    z = math.sin(i)*-20
+    x = 800+ i*1000
+    y = 100+ math.cos(i)*-20
+    z = 100+ math.sin(i)*-20
     ?>
     <?lua
@@ -192,9 +158,9 @@
 
     <MovableEntity
-      position = "<?lua print(x + math.random() * 500) ?>,<?lua print(y + math.random() * 500) ?>,<?lua print(z + math.random() * 1000) ?>"
+      position = "<?lua print(x + math.random() * 500) ?>,<?lua print(y + math.random() * 1000) ?>,<?lua print(z + math.random() * 1000) ?>"
       collisionType = "dynamic"
       linearDamping = "0.5"
       angularDamping = "0.01"
-      collisiondamage = "0.01"
+      collisiondamage = "0.02"
       enablecollisiondamage = "true"
       scale="<?lua print(j * 5) ?>" >
@@ -215,10 +181,6 @@
     <?lua end ?>
 
-
-    <!-- ---------------ForceFields----------------- -->
-    <ForceField position="0,0,0" direction="0,-1,0" diameter=500 velocity=2000 length=1200/>
-
    <!-- ------------------CheckPoints----------------- -->
-      <OldRaceCheckPoint name="checkpoint1" direction="0,2,0" position="800,20,0" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="0" islast="false">
+   <!--OldRaceCheckPoint name="checkpoint1" yaw=90 pitch=90 position="1000,30,0" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="0" islast="false">
         <attached>
             <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
@@ -232,17 +194,17 @@
     </OldRaceCheckPoint>
 
-    <OldRaceCheckPoint name="checkpoint2" position="1600,60,40" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="1" islast="false">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
-        </collisionShapes>
-    </OldRaceCheckPoint> 
-
-    <OldRaceCheckPoint name="checkpoint3" position="2400,100,70" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="2" islast="false">
+    <OldRaceCheckPoint name="checkpoint2" yaw=90 pitch=90 position="3000,200,100" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="1" islast="false">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
+        </collisionShapes>
+    </OldRaceCheckPoint> 
+
+    <OldRaceCheckPoint name="checkpoint3" yaw=90 pitch=90 position="5000,100,300" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="2" islast="false">
         <attached>
             <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
@@ -256,5 +218,5 @@
     </OldRaceCheckPoint>     
 
-    <OldRaceCheckPoint name="checkpoint4" position="3200,150,120" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="3" islast="false">
+    <OldRaceCheckPoint name="checkpoint4" yaw=90 pitch=90 position="8000,-150,150" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="3" islast="false">
         <attached>
             <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
@@ -268,5 +230,5 @@
     </OldRaceCheckPoint>    
 
-    <OldRaceCheckPoint name="checkpoint5" position="4000,200,140" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="4" islast="false">
+    <OldRaceCheckPoint name="checkpoint5" yaw=90 pitch=90 position="10000,-200,200" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="4" islast="false">
         <attached>
             <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
@@ -280,86 +242,138 @@
     </OldRaceCheckPoint>  
 
-    <OldRaceCheckPoint name="checkpoint6" position="4800,100,100" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="5" islast="false">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
-        </collisionShapes>
-    </OldRaceCheckPoint> 
-
-    <OldRaceCheckPoint name="checkpoint7" position="5600,0,-20" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="6" islast="true">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
-        </collisionShapes>
-    </OldRaceCheckPoint> 
-
-
-
-   <!-- <SpaceRaceManager>
- <checkpoints>
-    <RaceCheckPoint name="checkpoint1" position="0,8050,-1000" direction="0,1,0" collisionType="static" scale="4" distance="150" checkpointindex="0" islast="false" nextcheckpoints="1,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-
-
-        <Model position="0,0,55" mesh="testcube.mesh" scale3D="110,20,20" />
-        <Model position="0,0,-55" mesh="testcube.mesh" scale3D="110,20,20" />
-        <Model position="55,0,0" mesh="testcube.mesh" scale3D="20,20,110" />
-        <Model position="-55,0,0" mesh="testcube.mesh" scale3D="20,20,110" />
-
-
-
-
-        </attached>
-
-
-
-    <collisionShapes>
-
-
-            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
-            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-
-
-        </collisionShapes>
-
-
-
-
-    </RaceCheckPoint>
-
-<RaceCheckPoint name="checkpoint2" position="1000,8050,-4000" direction="0,1,0" roll="45" collisionType="static" scale="4" distance="150" checkpointindex="1" islast="false" nextcheckpoints="2,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-
-
-           <collisionShapes>
-
-            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
-            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
-            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
-
-        </collisionShapes>
-    </RaceCheckPoint>
-
-
-</checkpoints>
-</SpaceRaceManager> -->
-
-
+    <OldRaceCheckPoint name="checkpoint6" yaw=90 pitch=90 position="13000,100,100" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="5" islast="false">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
+        </collisionShapes>
+    </OldRaceCheckPoint> 
+
+    <OldRaceCheckPoint name="checkpoint7" yaw=90 pitch=90 position="15000,0,0" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="6" islast="false">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
+        </collisionShapes>
+    </OldRaceCheckPoint> 
+
+    <OldRaceCheckPoint name="checkpoint8" yaw=90 pitch=90 position="18000,150,-150" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="7" islast="false">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
+        </collisionShapes>
+    </OldRaceCheckPoint> 
+
+    <OldRaceCheckPoint name="checkpoint9" yaw=90 pitch=90 position="21000,120,-120" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="8" islast="false">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
+        </collisionShapes>
+    </OldRaceCheckPoint> 
+
+    <OldRaceCheckPoint name="checkpoint10" yaw=90 pitch=90 position="24000,-150,-80" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="9" islast="false">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
+        </collisionShapes>
+    </OldRaceCheckPoint> 
+
+    <OldRaceCheckPoint name="checkpoint11" yaw=90 pitch=90 position="27000,-200,0" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="10" islast="false">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
+        </collisionShapes>
+    </OldRaceCheckPoint> 
+
+    <OldRaceCheckPoint name="checkpoint12" yaw=90 pitch=90 position="30000,-50,50" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="11" islast="false">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
+        </collisionShapes>
+    </OldRaceCheckPoint> 
+
+    <OldRaceCheckPoint name="checkpoint13" yaw=90 pitch=90 position="33000,80,60" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="12" islast="false">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
+        </collisionShapes>
+    </OldRaceCheckPoint> 
+
+    <OldRaceCheckPoint name="checkpoint14" yaw=90 pitch=90 position="35000,120,20" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="13" islast="false">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
+        </collisionShapes>
+    </OldRaceCheckPoint> 
+
+    <OldRaceCheckPoint name="checkpoint15" yaw=90 pitch=90 position="38000,80,0" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="14" islast="true">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
+        </collisionShapes>
+    </OldRaceCheckPoint> 
+
+<!-- ---------------------PickUps---------------------- -->
+
+    <!--at checkpoint3-->
+    <PickupSpawner pickup=mediumpeedpickup position="4800,100,300" triggerDistance="60" respawnTime="10" maxSpawnedItems="99" scale="8" />
+    <!--at checkpoint#6-->
+    <PickupSpawner pickup=mediumshrinkpickup position="14800,0,0" triggerDistance="60" respawnTime="20" maxSpawnedItems="5" scale="8"/>
+    <!--at checkpoint9-->
+    <PickupSpawner pickup=smallshrinkpickup position="20800,120,-120" triggerDistance="60" respawnTime="10" maxSpawnedItems="10" scale="8"/>
+    <!--at checkpoint12-->
+    <PickupSpawner pickup=triplehealthspeedinvisibilitypickup position="29800,-50,50" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
+    <!--stray pickups-->
+    <PickupSpawner pickup=triplehealthspeedinvisibilitypickup position="6000,-300,100" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
+    <PickupSpawner pickup=triplehealthspeedinvisibilitypickup position="9000,300,200" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
+    <PickupSpawner pickup=triplehealthspeedinvisibilitypickup position="20000,-400,0" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
 
   </Scene>
Index: /code/branches/SpaceRace_HS16/data/levels/templates/fastship.oxt
===================================================================
--- /code/branches/SpaceRace_HS16/data/levels/templates/fastship.oxt	(revision 11275)
+++ /code/branches/SpaceRace_HS16/data/levels/templates/fastship.oxt	(revision 11276)
@@ -6,17 +6,17 @@
    spawnparticleduration  = 3
 
-   health            = 100
+   health            = 150
    maxhealth         = 200
-   initialhealth     = 100
+   initialhealth     = 150
 
-   shieldhealth        = 30
-   initialshieldhealth = 30
-   maxshieldhealth     = 50
+   shieldhealth        = 70
+   initialshieldhealth = 50
+   maxshieldhealth     = 100
    shieldabsorption    = 0.8
    shieldrechargerate  = 1
    shieldrechargewaittime = 1
 
-   primaryThrust     = 10000
-   auxilaryThrust    = 10000
+   primaryThrust     = 2000
+   auxilaryThrust    = 1000
    rotationThrust    = 50
 
@@ -25,11 +25,11 @@
 
 
-   boostPower            = 1500
+   boostPower            = 10
    boostPowerRate        = 10
    boostRate             = 10
    boostCooldownDuration = 10
 
-   shakeFrequency = 30
-   shakeAmplitude = 15
+   shakeFrequency = 50
+   shakeAmplitude = 30
 
    collisionType     = "dynamic"
@@ -85,8 +85,8 @@
 <Template name=spaceshipassffengine baseclass=MultiStateEngine>
   <MultiStateEngine
-  boostfactor    = 20
+  boostfactor    = 10
 
-   speedfront     =  500
-   speedback      =  500
+   speedfront     =  1000
+   speedback      =  1000
    speedleftright =  50
    speedupdown    =  50
@@ -95,9 +95,9 @@
    defEngineSndBoost = "sounds/Engine_high.ogg"
    
-   accelerationfront     = 5000
-   accelerationbrake     = 5000
-   accelerationback      =  125
-   accelerationleftright =  125
-   accelerationupdown    =  125
+   accelerationfront     = 300
+   accelerationbrake     = 300
+   accelerationback      = 125
+   accelerationleftright = 125
+   accelerationupdown    = 125
   >
     <EffectContainer condition="idle">