Index: data/contentcreation/pps/BigShip/material/Endurance_Commando_Module.material
===================================================================
--- data/contentcreation/pps/BigShip/material/Endurance_Commando_Module.material	(revision 11296)
+++ data/contentcreation/pps/BigShip/material/Endurance_Commando_Module.material	(revision 11296)
@@ -0,0 +1,58 @@
+
+material _missing_material_
+{
+    receive_shadows off
+    technique
+    {
+        pass
+        {
+            ambient 0.1 0.1 0.1 1.0
+            diffuse 0.8 0.0 0.0 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.3 0.3 0.3 1.0
+        }
+    }
+}
+
+// Endurance_Commando_Module genrated by blender2ogre 0.6.0
+
+material Endurance_Commando_Module 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass Endurance_Commando_Module
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture Endurance_Command_Module.png
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: data/contentcreation/pps/BigShip/material/Endurance_Connecting_Tunnel.material
===================================================================
--- data/contentcreation/pps/BigShip/material/Endurance_Connecting_Tunnel.material	(revision 11296)
+++ data/contentcreation/pps/BigShip/material/Endurance_Connecting_Tunnel.material	(revision 11296)
@@ -0,0 +1,58 @@
+
+material _missing_material_
+{
+    receive_shadows off
+    technique
+    {
+        pass
+        {
+            ambient 0.1 0.1 0.1 1.0
+            diffuse 0.8 0.0 0.0 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.3 0.3 0.3 1.0
+        }
+    }
+}
+
+// Endurance_Connecting_Tunnel genrated by blender2ogre 0.6.0
+
+material Endurance_Connecting_Tunnel 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass Endurance_Connecting_Tunnel
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture Endurance_Connecting_Tunnel.png
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: data/contentcreation/pps/BigShip/material/Endurance_Habitat.material
===================================================================
--- data/contentcreation/pps/BigShip/material/Endurance_Habitat.material	(revision 11296)
+++ data/contentcreation/pps/BigShip/material/Endurance_Habitat.material	(revision 11296)
@@ -0,0 +1,42 @@
+// Endurance_Habitat genrated by blender2ogre 0.6.0
+
+material Endurance_Habitat 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass Endurance_Habitat
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture Endurance_Habitat.png
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: data/contentcreation/pps/BigShip/material/Endurance_Landig_Module.material
===================================================================
--- data/contentcreation/pps/BigShip/material/Endurance_Landig_Module.material	(revision 11296)
+++ data/contentcreation/pps/BigShip/material/Endurance_Landig_Module.material	(revision 11296)
@@ -0,0 +1,58 @@
+
+material _missing_material_
+{
+    receive_shadows off
+    technique
+    {
+        pass
+        {
+            ambient 0.1 0.1 0.1 1.0
+            diffuse 0.8 0.0 0.0 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.3 0.3 0.3 1.0
+        }
+    }
+}
+
+// Endurance_Landing_Module genrated by blender2ogre 0.6.0
+
+material Endurance_Landing_Module 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass Endurance_Landing_Module
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture Endurance_Landig_Module.png
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: data/contentcreation/pps/BigShip/material/Endurance_MainEngine.material
===================================================================
--- data/contentcreation/pps/BigShip/material/Endurance_MainEngine.material	(revision 11296)
+++ data/contentcreation/pps/BigShip/material/Endurance_MainEngine.material	(revision 11296)
@@ -0,0 +1,42 @@
+// Endurance_MainEngine genrated by blender2ogre 0.6.0
+
+material Endurance_MainEngine 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass Endurance_MainEngine
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture E_Main_Engine_Module_c.png
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: data/contentcreation/pps/BigShip/material/Endurance_Mystery.material
===================================================================
--- data/contentcreation/pps/BigShip/material/Endurance_Mystery.material	(revision 11296)
+++ data/contentcreation/pps/BigShip/material/Endurance_Mystery.material	(revision 11296)
@@ -0,0 +1,58 @@
+
+material _missing_material_
+{
+    receive_shadows off
+    technique
+    {
+        pass
+        {
+            ambient 0.1 0.1 0.1 1.0
+            diffuse 0.8 0.0 0.0 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.3 0.3 0.3 1.0
+        }
+    }
+}
+
+// Endurance_Mystery genrated by blender2ogre 0.6.0
+
+material Endurance_Mystery 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass Endurance_Mystery
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture Endurance_Mystery.png
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: data/contentcreation/pps/BigShip/material/Endurance_Small_Ship.material
===================================================================
--- data/contentcreation/pps/BigShip/material/Endurance_Small_Ship.material	(revision 11296)
+++ data/contentcreation/pps/BigShip/material/Endurance_Small_Ship.material	(revision 11296)
@@ -0,0 +1,58 @@
+
+material _missing_material_
+{
+    receive_shadows off
+    technique
+    {
+        pass
+        {
+            ambient 0.1 0.1 0.1 1.0
+            diffuse 0.8 0.0 0.0 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.3 0.3 0.3 1.0
+        }
+    }
+}
+
+// Endurance_Small_Ship genrated by blender2ogre 0.6.0
+
+material Endurance_Small_Ship 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass Endurance_Small_Ship
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture Endurance_Small_Ship.png
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: data/contentcreation/pps/BigShip/material/Endurance_Tunnelsystem.material
===================================================================
--- data/contentcreation/pps/BigShip/material/Endurance_Tunnelsystem.material	(revision 11296)
+++ data/contentcreation/pps/BigShip/material/Endurance_Tunnelsystem.material	(revision 11296)
@@ -0,0 +1,58 @@
+
+material _missing_material_
+{
+    receive_shadows off
+    technique
+    {
+        pass
+        {
+            ambient 0.1 0.1 0.1 1.0
+            diffuse 0.8 0.0 0.0 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.3 0.3 0.3 1.0
+        }
+    }
+}
+
+// Endurance_Tunnelsystem genrated by blender2ogre 0.6.0
+
+material Endurance_Tunnelsystem 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass Endurance_Tunnelsystem
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture Endurance_Tunnelsystem.png
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}