Index: code/branches/StoryModeMap_HS16/data/gui/layouts/CampaignMenu.layout
===================================================================
--- code/branches/StoryModeMap_HS16/data/gui/layouts/CampaignMenu.layout	(revision 11286)
+++ code/branches/StoryModeMap_HS16/data/gui/layouts/CampaignMenu.layout	(revision 11299)
@@ -8,24 +8,24 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1.0,0},{1.0,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="MenuWidgets/ImageButton" Name="orxonox/Mission1Button" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission1Button" >
             <Property Name="Text" Value="Mission One" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.1,0},{0.65,0},{0.15,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.75,0},{0.25,0},{0.95,0}}" />
             <Event Name="Clicked" Function="CampaignMenu.Mission1Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/RadioButton" Name="orxonox/Mission2Button" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission2Button" >
             <Property Name="Text" Value="Fight in our Back" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.18,0},{0.65,0},{0.23,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.7,0},{0.5,0},{0.85,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission2Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/SystemButton" Name="orxonox/Mission3Button" >
+        <Window Type="MenuWidgets/ImageButton" Name="orxonox/Mission3Button" >
             <Property Name="Text" Value="Pirate Attack" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.26,0},{0.65,0},{0.31,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.685,0},{0.605,0},{0.75,0},{0.71,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission3Button_clicked"/>
@@ -35,13 +35,13 @@
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.34,0},{0.65,0},{0.39,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.78,0},{0.48,0},{0.87,0},{0.59,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission4Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/ImageButton" Name="orxonox/Mission5Button" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission5Button" >
             <Property Name="Text" Value="Area 51 under Fire" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.42,0},{0.65,0},{0.47,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.725,0},{0.27,0},{0.775,0},{0.37,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission5Button_clicked"/>
@@ -51,5 +51,5 @@
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.50,0},{0.65,0},{0.55,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.6,0},{0.17,0},{0.65,0},{0.27,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission6Button_clicked"/>
@@ -59,5 +59,5 @@
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.58,0},{0.65,0},{0.63,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.47,0},{0.13,0},{0.525,0},{0.23,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission7Button_clicked"/>
@@ -67,5 +67,5 @@
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.66,0},{0.65,0},{0.71,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.33,0},{0.1,0},{0.38,0},{0.18,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission8Button_clicked"/>
@@ -75,5 +75,5 @@
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.74,0},{0.65,0},{0.79,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.18,0},{0.07,0},{0.24,0},{0.145,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission9Button_clicked"/>
@@ -84,5 +84,5 @@
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.85,0},{0.65,0},{0.9,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.75,0},{0.9,0},{0.95,0},{0.95,0}}" />
             <Event Name="Clicked" Function="CampaignMenu.CampaignMenuBackButton_clicked"/> 
         </Window>