Index: /code/branches/BigShip_HS16/data/levels/templates/endurancetest_template.oxt
===================================================================
--- /code/branches/BigShip_HS16/data/levels/templates/endurancetest_template.oxt	(revision 11301)
+++ /code/branches/BigShip_HS16/data/levels/templates/endurancetest_template.oxt	(revision 11302)
@@ -17,48 +17,48 @@
 
    	<parts>
-        <ShipPart name="Endurance_Small_Ship" initialhealth="1000" maxhealth="1000" damageabsorption="0" explosionposition="-100,0,0">
+   		<ShipPart name = "EnduranceSmallShip" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
             <destructionevents>
-
-            	<PartDestructionEvent targetType="part"  targetName = "Endurance_Small_Ship" operation="-" />
-                
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
             </destructionevents>
         </ShipPart>
 
-    </parts>
-
-	<!-- Test endurance -->
-<!--
-	
-	<parts>
-        <ShipPart name="Endurance_Small_Ship" initialhealth="1000" maxhealth="1000" damageabsorption="0" explosionposition="-100,0,0">
+        <ShipPart name = "part2" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
             <destructionevents>
-
-            	<PartDestructionEvent targetType="part"  targetName = "Endurance_Small_Ship" operation="destroy" />
-                
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct10"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct11"   operation="destroy" />
             </destructionevents>
         </ShipPart>
 
-        <ShipPart name="part1" initialhealth="10" maxhealth="10" damageabsorption="0" explosionposition="-100,0,100">
+        <ShipPart name = "ct12" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
             <destructionevents>
-                <PartDestructionEvent targetType="part"  targetName = "part0" operation="destroy" value="0.5"/>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
             </destructionevents>
         </ShipPart>
 
-        <ShipPart name="part2" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="-100,50,86">
+         <ShipPart name = "ct11" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
             <destructionevents>
-                <PartDestructionEvent targetType="ship" targetParam="shieldhealth" operation="*" value="0.5"/>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
             </destructionevents>
         </ShipPart>
 
-        <ShipPart name="part3" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="-100,86,50">
+        <ShipPart name = "ct10" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
             <destructionevents>
-                <PartDestructionEvent targetType="ship" targetParam="shieldhealth" operation="*" value="0.5"/>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
             </destructionevents>
         </ShipPart>
 
-    
+    	<ShipPart name = "part1" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct12"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct11"   operation="destroy" />
+            </destructionevents>
+        </ShipPart>
 
     </parts>
-	-->
+
+	<!-- Test endurance -->
+
     
     <explosion >
@@ -75,5 +75,5 @@
 		<!-- Small-Ship 1/2 -->
 
-		<StaticEntity  name = "Endurance_Small_Ship" collisionType=static position ="21,14.4,-9.6"  pitch="60" yaw="0" roll="90" >
+		<StaticEntity  name = "EnduranceSmallShip" collisionType=static position ="21,14.4,-9.6"  pitch="60" yaw="0" roll="90" >
 			<attached>
 				<Model  mesh="Endurance_Small_Ship.mesh" scale="36" />
@@ -131,5 +131,5 @@
 		<!-- ct12 -->
 
-		<StaticEntity collisionType=static position ="0,-30,105"  yaw="0" roll="90" pitch="-60" >
+		<StaticEntity name ="ct12" collisionType=static position ="0,-30,105"  yaw="0" roll="90" pitch="-60" >
 			<attached>
 				
@@ -220,5 +220,5 @@
 		<!-- ct11 -->
 
-		<StaticEntity collisionType=static position ="0,30,105"  yaw="0" roll="90" pitch="270" >
+		<StaticEntity name = "ct11" collisionType=static position ="0,30,105"  yaw="0" roll="90" pitch="270" >
 			<attached>
 				
@@ -256,5 +256,5 @@
 		<!-- ct10 -->
 
-		<StaticEntity collisionType=static position ="0,78,78"  yaw="0" roll="90" pitch="240" >
+		<StaticEntity name ="ct10" collisionType=static position ="0,78,78"  yaw="0" roll="90" pitch="240" >
 			<attached>
 				